Documentation Index Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt
Use this file to discover all available pages before exploring further.
Unblocks a previously blocked community member, allowing them to access community content again. Note: This does not automatically reactivate their subscription.
URL Parameters
The ID of the community membership to unblock
Returns
Returns the updated community membership object with unblock metadata.
POST /api/v1/communities/:community_id/members/:id/unblock
curl -H "Authorization: $ACCESS_TOKEN " \
--request POST \
--url 'https://api.onlydrams.app/api/v1/communities/123/members/456/unblock'
{
"id" : "3a6045c1-7dcc-4937-8abc-a7cf6fde85d1" ,
"status" : "canceled" ,
"tier_name" : "Premium" ,
"lifetime_spend" : {
"cents" : 2997 ,
"formatted" : "$29.97"
},
"joined_at" : "2025-11-19T13:30:44Z" ,
"is_blocked" : false ,
"user" : {
"id" : "b5b7ae94-9533-4dee-9ed4-0e45338646f5" ,
"name" : "John Doe" ,
"username" : "johndoe" ,
"email" : "john@example.com" ,
"avatar_url" : "https://storage.googleapis.com/onlydrams/default.jpg"
},
"tier" : {
"id" : "de7260fe-c514-476e-81c1-e27f22311e27" ,
"name" : "Premium" ,
"color" : "#8B5CF6"
},
"metadata" : {
"blocked" : false ,
"blocked_at" : "2025-12-10T10:30:00Z" ,
"blocked_by" : "owner-user-id" ,
"block_reason" : "Spam and inappropriate behavior" ,
"unblocked_at" : "2025-12-13T14:08:38Z" ,
"unblocked_by" : "owner-user-id"
}
}
Error Responses
{
"message" : "Not Found"
}
{
"message" : "You don't have permission to view community members"
}